| Kea 3.0.2-git

isc::dhcp_ddns::NameChangeSender::RequestSendHandler Class Referenceabstract

Abstract class for defining application layer send callbacks. More...

`#include <ncr_io.h>`

Inheritance diagram for isc::dhcp_ddns::NameChangeSender::RequestSendHandler:
[legend]

## Public Member Functions
virtual | ~RequestSendHandler ()
virtual void | operator() (const Result result, NameChangeRequestPtr &ncr)=0
| Function operator implementing a NCR send callback.

## Detailed Description

Abstract class for defining application layer send callbacks.

Applications which will send NameChangeRequests must provide a derivation of this class to the sender constructor in order to receive send outcome notifications.

Definition at line 490 of file ncr_io.h.

## Constructor & Destructor Documentation

## ◆ ~RequestSendHandler()

virtual isc::dhcp_ddns::NameChangeSender::RequestSendHandler::~RequestSendHandler | ( |  | ) |
| inline virtual

Definition at line 507 of file ncr_io.h.

## Member Function Documentation

## ◆ operator()()

virtual void isc::dhcp_ddns::NameChangeSender::RequestSendHandler::operator() | ( | const Result | result,
|  | NameChangeRequestPtr & | ncr )
| pure virtual

Function operator implementing a NCR send callback.

This method allows the application to receive the outcome of each send. It is intended to function as a hand off of information and should probably not be time-consuming.

Parameters

  result | contains that send outcome status.
  ncr | is a pointer to the NameChangeRequest that was delivered (or attempted).

Exceptions

  This | method MUST NOT throw.

Implemented in isc::dhcp::D2ClientMgr.

The documentation for this class was generated from the following file:

- ncr_io.h